<!doctype html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="./assets/style.css">
        <title>OrangeFox App</title>
    </head>

    <body>
        <header class="center">
            <div class="center">
                <a class="center"
                    href="https://orangefox.tech">
                    <img width="56"
                        height="32"
                        src="./assets/fox.svg">
                    <span class="euclid"
                        style="font-size:14px;color:#eee;font-weight:500">OrangeFox</span>
                </a>
                <div class="menu center">
                    <a sel
                        class="no-mobile shadow m-item"
                        href="https://app.orangefox.download">OrangeFox App</a>
                    <a class="no-mobile shadow m-item"
                        href="https://orangefox.download">Direct Downloads</a>
                    <a class="no-mobile shadow m-item"
                        href="https://gitlab.com/OrangeFox/misc/appdev/app">Source Code</a>
                    <a class="shadow m-item"
                        href="https://wiki.orangefox.tech">Wiki</a>
                    <a class="no-mobile btn primary"
                        style="padding: 16px;border: 1px solid #6663;height:44px;margin-left:8px"
                        href="https://gitlab.com/OrangeFox/misc/appdev/updates/-/raw/master/app-release.apk">Download
                        App</a>
                </div>
            </div>
        </header>
        <div id="container">
            <ul class="well" id="well">
                <li class="panel">
                    <div class="split">
                        <div class="split-text">
                            <div class="main-text"
                                style="color: #fff">
                                <h1 class="shadow"
                                    style="font-weight: 800;color: #fbfbfb;">
                                    <f style=" color: #ffc9ba;">OrangeFox</f> App
                                </h1>
                                <span class="euclid shadow">App for OrangeFox Recovery</span>
                                <ul class="features">
                                    <li>- Auto updates in background</li>
									<li>- Installing old releases</li>
									<li>- Ability to create and edit OpenRecoveryScripts</li>
									<li>- Beautiful UI</li>
									<li>- No analytics/ads, small apk size</li>
                                </ul>
                                <div class="btnwrap">
                                    <a class="btn primary"
                                        href="https://gitlab.com/OrangeFox/misc/appdev/updates/-/raw/master/app-release.apk">
                                        <svg xmlns="http://www.w3.org/2000/svg"
                                            viewBox="0 0 24 24">
                                            <path d="M18,15.998V18H6v-2.002C6,15.447,5.553,15,5.002,15H4.998C4.447,15,4,15.447,4,15.998V18c0,1.1,0.9,2,2,2h12
                                                c1.1,0,2-0.9,2-2v-2.002C20,15.447,19.553,15,19.002,15h-0.004C18.447,15,18,15.447,18,15.998z M16.294,10.294L16.294,10.294
                                                c-0.389-0.389-1.02-0.39-1.41-0.001L13,12.17V4.998C13,4.447,12.553,4,12.002,4h-0.004C11.447,4,11,4.447,11,4.998v7.172
                                                l-1.884-1.877c-0.39-0.388-1.021-0.388-1.41,0.001l0,0c-0.39,0.39-0.39,1.022,0,1.411l3.587,3.587c0.391,0.391,1.024,0.391,1.414,0
                                                l3.587-3.587C16.684,11.316,16.684,10.684,16.294,10.294z" />
                                        </svg>Download</a>
                                    <a class="btn secondary"
                                        href="https://t.me/OrangeFoxApp">
                                        <svg xmlns="http://www.w3.org/2000/svg"
                                            viewBox="0 0 24 24">
                                            <path
                                                d="M21.4,4.5c-0.5,-0.7 -1.3,-1 -2.1,-1c-0.4,0 -0.8,0.1 -1.1,0.2L4,9C2.1,9.8 2,11.1 2,11.6c0,0.8 0.6,1.9 2,2.3L7.6,15c0.2,0.1 0.4,0.1 0.6,0.1L8,17.6c0,0.6 0.2,1.1 0.5,1.5c0.4,0.4 0.9,0.6 1.5,0.6c1.2,0 1.8,-0.6 2.1,-0.9l0.5,-0.5L15,20c0.1,0.1 0.1,0.1 0.2,0.1c0.5,0.3 1,0.4 1.5,0.4c1,0 2.3,-0.6 2.7,-2.4l2.4,-11C22.1,6.2 22,5.2 21.4,4.5zM10.3,14.1c2.3,-2 4.5,-4 6.8,-5.9C17.3,8 17.2,7.8 17,7.8c-0.1,0 -0.2,0 -0.4,0.1l-8.4,5.1L4.6,12c-0.8,-0.2 -0.8,-0.7 0.2,-1.1l14.2,-5.3c0.1,-0.1 0.3,-0.1 0.4,-0.1c0.5,0 0.8,0.4 0.6,1.2l-2.4,11c-0.1,0.4 -0.2,0.6 -0.5,0.7c-0.1,0.1 -0.2,0.1 -0.3,0.1c-0.3,0 -0.5,-0.1 -0.6,-0.2C14.2,16.9 12.2,15.5 10.3,14.1z">
                                            </path>
                                        </svg>Get Help</a>
                                </div>
                            </div>
                        </div>
                        <div class="screenshot">

                            <img width="320px"
                                src="./assets/screenshot.jpg"
                                style="
                                        box-shadow: 54px 54px 50px 0px #0002;
                                        transform: translate3d(40px, 0, 0px) rotateX(51deg) rotateZ(43deg);
                                        position: absolute;
                                        ">
                            <div style="
                                        width: 320px;
                                        height: 640px;
                                        transform: translate3d(157px, 75px, 0px) rotateX(51deg) rotateZ(43deg) scalex(0.05) skewY(3deg);
                                        position: absolute;
                                        background: #cecece;"></div>
                            <div style="
                                        width: 320px;
                                        height: 640px;
                                        transform: translate3d(-178px, 154px, 0px) rotateX(51deg) rotateZ(43deg) scaley(0.025) skewX(1.3deg);
                                        position: absolute;
                                        background: #eee;"></div>
                        </div>
                    </div>
                </li>
                <li class="info-screen panel"
                    id="screens">
                    <div class="split mobile-vert">
                        <div class="split-text">
                            <div class="main-text">
                                <svg xmlns="http://www.w3.org/2000/svg"
                                    viewBox="0 0 24 24">
                                    <path
                                        d="M11,8.75v3.68c0,0.35,0.19,0.68,0.49,0.86l3.12,1.85c0.36,0.21,0.82,0.09,1.03-0.26c0.21-0.36,0.1-0.82-0.26-1.03 l-2.87-1.71v-3.4C12.5,8.34,12.16,8,11.75,8S11,8.34,11,8.75z M21,9.5V4.21c0-0.45-0.54-0.67-0.85-0.35l-1.78,1.78 c-1.81-1.81-4.39-2.85-7.21-2.6c-4.19,0.38-7.64,3.75-8.1,7.94C2.46,16.4,6.69,21,12,21c4.59,0,8.38-3.44,8.93-7.88 c0.07-0.6-0.4-1.12-1-1.12c-0.5,0-0.92,0.37-0.98,0.86c-0.43,3.49-3.44,6.19-7.05,6.14c-3.71-0.05-6.84-3.18-6.9-6.9 C4.94,8.2,8.11,5,12,5c1.93,0,3.68,0.79,4.95,2.05l-2.09,2.09C14.54,9.46,14.76,10,15.21,10h5.29C20.78,10,21,9.78,21,9.5z">
                                    </path>
                                </svg>
                                <h1 style="font-weight:800"
                                    class="mobile-small-capt">Automatic Recovery Updates</h1>
                                <span class="euclid mobile-small">OrangeFox will update recovery automatically in background once per day. Anything you need is have root and custom recovery installed.                                </span>
                            </div>
                        </div>
                        <div class="center align-right">
                            <img width="640px"
                                class="shadow-img"
                                src="./assets/noty.svg">
                        </div>
                    </div>
                </li>
                <li class="info-screen panel">
                    <div class="split vert">
                        <div class="split-text">
                            <div class="main-text">
                                <svg xmlns="http://www.w3.org/2000/svg"
                                    viewBox="0 0 24 24">
                                    <path
                                        d="M2,13L2,13c-1.105,0 -2,-0.895 -2,-2v0c0,-1.105 0.895,-2 2,-2h0c1.105,0 2,0.895 2,2v0C4,12.105 3.105,13 2,13zM2,8L2,8C1.448,8 1,7.552 1,7V1c0,-0.552 0.448,-1 1,-1h0c0.552,0 1,0.448 1,1v6C3,7.552 2.552,8 2,8zM2,22L2,22c-0.552,0 -1,-0.448 -1,-1v-6c0,-0.552 0.448,-1 1,-1h0c0.552,0 1,0.448 1,1v6C3,21.552 2.552,22 2,22zM20,6v10H10V6H20M20,4H10C8.895,4 8,4.895 8,6v10c0,1.105 0.895,2 2,2h10c1.105,0 2,-0.895 2,-2V6C22,4.895 21.105,4 20,4L20,4zM8,8.172l-2.121,2.121c-0.391,0.391 -0.391,1.024 0,1.414L8,13.828l1.313,-1.313c0.837,-0.837 0.837,-2.194 0,-3.031L8,8.172L8,8.172zM12,9L12,9c0,-0.552 0.448,-1 1,-1h4c0.552,0 1,0.448 1,1v0c0,0.552 -0.448,1 -1,1h-4C12.448,10 12,9.552 12,9zM12,13L12,13c0,-0.552 0.448,-1 1,-1h2c0.552,0 1,0.448 1,1v0c0,0.552 -0.448,1 -1,1h-2C12.448,14 12,13.552 12,13z">
                                    </path>
                                </svg>
                                <h1 style="font-weight:800"
                                    class="mobile-small-capt">Quickly Share Logs</h1>
                                <span class="euclid mobile-small">If you found a bug in recovery, you can easily share logs to OrangeFox help chat or directly to maintainer using App.
                                    Open Logs page, long press log and tap "Share".
                                </span>
                            </div>
                        </div>
                        <div class="center">
                            <img width="640px"
                                class="shadow-img"
                                src="./assets/logs.svg">
                        </div>
                    </div>
                </li>
                <li class="info-screen panel">
                    <div class="split mobile-vert">
                        <div class="center">
                            <img width="640px"
                                class="shadow-img cards-img"
                                src="./assets/cards.svg">
                        </div>
                        <div class="split-text mobile-flex-end">
                            <div class="main-text">
                                <svg xmlns="http://www.w3.org/2000/svg"
                                    viewBox="0 0 24 24">
                                    <path d="M17,9h-7c-0.55,0-1,0.45-1,1s0.45,1,1,1h7c0.55,0,1-0.45,1-1S17.55,9,17,9z M10,8h7c0.55,0,1-0.45,1-1s-0.45-1-1-1h-7C9.45,6,9,6.45,9,7S9.45,8,10,8z M20.65,2.35L19.5,3.5l-1.15-1.15c-0.2-0.2-0.51-0.2-0.71,0L16.5,3.5l-1.15-1.15c-0.2-0.2-0.51-0.2-0.71,0L13.5,3.5
                                        l-1.15-1.15c-0.2-0.2-0.51-0.2-0.71,0L10.5,3.5L9.35,2.35c-0.2-0.2-0.51-0.2-0.71,0L7.5,3.5L6.35,2.35C6.26,2.26,6.13,2.21,6,2.21
                                        V16H5c-1.1,0-2,0.9-2,2v1c0,1.66,1.34,3,3,3h12c1.65,0,3-1.35,3-3V2.21C20.87,2.21,20.74,2.26,20.65,2.35z M6,20
                                        c-0.55,0-1-0.45-1-1v-1h10v1c0,0.35,0.07,0.69,0.18,1H6z M19,19c0,0.55-0.45,1-1,1c-0.55,0-1-0.45-1-1v-1c0-1.1-0.9-2-2-2H8V5h11
                                        V19z"></path>
                                </svg>
                                <h1 style="font-weight:800"
                                    class="mobile-small-capt">Create Recovery Scripts</h1>
                                <span class="euclid mobile-small">OrangeFox App can create scripts for recovery. Say recovery what it need to do: backup, wipe or install.</span>
                            </div>
                        </div>
                    </div>
                </li>
                <li class="info-screen panel">
                    <div class="split vert">
                        <div class="split-text"
                            style="height:150%">
                            <div class="main-text">
                                <h1 style="font-weight:800"
                                    class="mobile-small-capt">No Analytics or Ads</h1>
                                <span class="euclid mobile-small">We respect our users. App does not have ads or analytics modules. Moreover, the application is open source, small and fast.</span>
                            </div>
                        </div>
                        <div class="center padding-fix">
                            <img style="height:400px"
                                class="shadow-img"
                                src="./assets/noads.svg">
                        </div>
                    </div>
                </li>
            </ul>

            <a id="scroll"
                onclick="document.getElementById('well').style.transform = 'translateY(-100vh)';
                    document.getElementById('scroll').style.opacity = 0;
                    document.querySelector('header').className = 'elevate center'"
                class="euclid">Scroll to see more...</a>
                <footer class="center euclid">
                    <span style="padding:24px 0">Site by fordownloads © 2021, OrangeFox Team</span>
                </footer>
        </div>

        <noscript>
            <style>
                #container {
                    overflow-y: scroll !important;
                }
            </style>
        </noscript>

        <script>
            var elevate = false;
            var container = document.getElementById("container");
            var header = document.querySelector("header");
            var scroll = document.getElementById("scroll");
            /*container.addEventListener('scroll', function(e) {  
                if (container.scrollTop > 100) {
                    if (!elevate) {
                        scroll.style.opacity = "0";
                        header.className = "elevate center";
                        elevate = true;
                    }
                } else {
                    if (elevate) {
                        scroll.style.opacity = "1";
                        header.className = "center";
                        elevate = false;
                    }
                }
            });*/

            (function() {
            "use strict";
            var pnls = document.querySelectorAll('.panel').length,
                scdir, hold = false;

            function _scrollY(obj) {
                var slength, plength, pan, step = 100,
                    vh = window.innerHeight / 100,
                    vmin = Math.min(window.innerHeight, window.innerWidth) / 100;
                if ((this !== undefined && this.id === 'well') || (obj !== undefined && obj.id === 'well')) {
                    pan = this || obj;
                    plength = parseInt(pan.offsetHeight / vh);
                }
                if (pan === undefined) {
                    return;
                }
                plength = plength || parseInt(pan.offsetHeight / vmin);
                slength = parseInt(pan.style.transform.replace('translateY(', ''));
                if (scdir === 'up' && Math.abs(slength) < (plength - plength / pnls)) {
                    slength = slength - step;
                } else if (scdir === 'down' && slength < 0) {
                    slength = slength + step;
                } else if (scdir === 'top') {
                    slength = 0;
                }
                if (hold === false) {
                    hold = true;
                    pan.style.transform = 'translateY(' + slength + 'vh)';
                    setTimeout(function() {
                    hold = false;
                    if (slength != 0) {
                        scroll.style.opacity = "0";
                        header.className = "elevate center";
                    }
                    }, 1000);
                    if (slength == 0) {
                        scroll.style.opacity = "1";
                        header.className = "center";
                    } 
                }
            }
            function _swipe(obj) {
                var swdir, sX, sY, dX, dY, threshold = 100, slack = 50, alT = 500, elT, stT;
                obj.addEventListener('touchstart', function(e) {
                    var tchs = e.changedTouches[0];
                    swdir = 'none';
                    sX = tchs.pageX;
                    sY = tchs.pageY;
                    stT = new Date().getTime();
                    //e.preventDefault();
                }, false);

                obj.addEventListener('touchmove', function(e) {
                    e.preventDefault(); /*[prevent scrolling when inside DIV]*/
                }, false);

                obj.addEventListener('touchend', function(e) {
                    var tchs = e.changedTouches[0];
                    dX = tchs.pageX - sX;
                    dY = tchs.pageY - sY;
                    elT = new Date().getTime() - stT;
                    if (elT <= alT) {
                        if (Math.abs(dX) >= threshold && Math.abs(dY) <= slack) {
                            swdir = (dX < 0) ? 'left' : 'right';
                        } else if (Math.abs(dY) >= threshold && Math.abs(dX) <= slack) {
                            swdir = (dY < 0) ? 'up' : 'down';
                        }
                        if (obj.id === 'well') {
                            if (swdir === 'up') {
                                scdir = swdir;
                                _scrollY(obj);
                            } else if (swdir === 'down' && obj.style.transform !== 'translateY(0)') {
                                scdir = swdir;
                                _scrollY(obj);
                            }
                            e.stopPropagation();
                        }
                    }
                }, false);
            }
            var well = document.getElementById('well');
            well.style.transform = 'translateY(0)';
            well.addEventListener('wheel', function(e) {
                if (e.deltaY < 0) {
                    scdir = 'down';
                }
                if (e.deltaY > 0) {
                    scdir = 'up';
                }
                e.stopPropagation();
            });
            well.addEventListener('wheel', _scrollY);
            _swipe(well);
        })();
        </script>
    </body>
</html>